/****************************************************************************
** CalibratePanelDialog meta object code from reading C++ file 'calibratepaneldialog.h'
**
** Created: Thu Jan 29 00:51:39 2004
**      by: The Qt MOC ($Id: calibratepaneldialog.moc.cpp,v 1.1 2004-03-04 16:31:17 merck Exp $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#if !defined(Q_MOC_OUTPUT_REVISION)
#define Q_MOC_OUTPUT_REVISION 9
#elif Q_MOC_OUTPUT_REVISION != 9
#error "Moc format conflict - please regenerate all moc files"
#endif

#include "calibratepaneldialog.h"
#include <qmetaobject.h>
#include <qapplication.h>



const char *CalibratePanelDialog::className() const
{
    return "CalibratePanelDialog";
}

QMetaObject *CalibratePanelDialog::metaObj = 0;

void CalibratePanelDialog::initMetaObject()
{
    if ( metaObj )
	return;
    if ( qstrcmp(CalibratePanelDialogBase::className(), "CalibratePanelDialogBase") != 0 )
	badSuperclassWarning("CalibratePanelDialog","CalibratePanelDialogBase");
    (void) staticMetaObject();
}

#ifndef QT_NO_TRANSLATION

QString CalibratePanelDialog::tr(const char* s)
{
    return qApp->translate( "CalibratePanelDialog", s, 0 );
}

QString CalibratePanelDialog::tr(const char* s, const char * c)
{
    return qApp->translate( "CalibratePanelDialog", s, c );
}

#endif // QT_NO_TRANSLATION

QMetaObject* CalibratePanelDialog::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    (void) CalibratePanelDialogBase::staticMetaObject();
#ifndef QT_NO_PROPERTIES
#endif // QT_NO_PROPERTIES
    typedef void (CalibratePanelDialog::*m1_t0)(int,int);
    typedef void (QObject::*om1_t0)(int,int);
    typedef void (CalibratePanelDialog::*m1_t1)(int,int);
    typedef void (QObject::*om1_t1)(int,int);
    typedef void (CalibratePanelDialog::*m1_t2)();
    typedef void (QObject::*om1_t2)();
    typedef void (CalibratePanelDialog::*m1_t3)();
    typedef void (QObject::*om1_t3)();
    m1_t0 v1_0 = &CalibratePanelDialog::setSpotInfoSlot;
    om1_t0 ov1_0 = (om1_t0)v1_0;
    m1_t1 v1_1 = &CalibratePanelDialog::setGRefInfoSlot;
    om1_t1 ov1_1 = (om1_t1)v1_1;
    m1_t2 v1_2 = &CalibratePanelDialog::startSlot;
    om1_t2 ov1_2 = (om1_t2)v1_2;
    m1_t3 v1_3 = &CalibratePanelDialog::gotoRefSlot;
    om1_t3 ov1_3 = (om1_t3)v1_3;
    QMetaData *slot_tbl = QMetaObject::new_metadata(4);
    QMetaData::Access *slot_tbl_access = QMetaObject::new_metaaccess(4);
    slot_tbl[0].name = "setSpotInfoSlot(int,int)";
    slot_tbl[0].ptr = (QMember)ov1_0;
    slot_tbl_access[0] = QMetaData::Public;
    slot_tbl[1].name = "setGRefInfoSlot(int,int)";
    slot_tbl[1].ptr = (QMember)ov1_1;
    slot_tbl_access[1] = QMetaData::Public;
    slot_tbl[2].name = "startSlot()";
    slot_tbl[2].ptr = (QMember)ov1_2;
    slot_tbl_access[2] = QMetaData::Public;
    slot_tbl[3].name = "gotoRefSlot()";
    slot_tbl[3].ptr = (QMember)ov1_3;
    slot_tbl_access[3] = QMetaData::Public;
    metaObj = QMetaObject::new_metaobject(
	"CalibratePanelDialog", "CalibratePanelDialogBase",
	slot_tbl, 4,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    metaObj->set_slot_access( slot_tbl_access );
#ifndef QT_NO_PROPERTIES
#endif // QT_NO_PROPERTIES
    return metaObj;
}
